Gem's don't work in Ruby


#1

I am trying to write a simple Ruby script and run at the command line, but I cannot get the gem’s to be found from the require command. In the code below, for example, that results in this error:
test.rb:2:in `require’: no such file to load – builder (LoadError) from test.rb:2

require 'rexml/document’
require ‘builder’

include REXML

builder = Builder::XmlMarkup.new
file = File.open(“sermonAudio/sermons.xml”)

doc = Document.new(file)
doc.elements.each(‘sermons/series/sermon/title’) do |ele|
end

Brian